ALTER TABLE COMPONENT_MAP ADD CONSTRAINT FK_C_MAP_SM FOREIGN KEY(SM_ID) REFERENCES STRUCTURE_MAP(SM_ID) ON DELETE CASCADE
;
ALTER TABLE COMPONENT_MAP ADD CONSTRAINT FK_C_MAP_SOURCE FOREIGN KEY(SOURCE_COMP_ID) REFERENCES COMPONENT(COMP_ID)
;
ALTER TABLE COMPONENT_MAP ADD CONSTRAINT FK_C_MAP_TARGET FOREIGN KEY(TARGET_COMP_ID) REFERENCES COMPONENT(COMP_ID)
;
